<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [ftpcrack](./bitburner.ns.ftpcrack.md)

## NS.ftpcrack() method

Runs FTPCrack.exe on a server.

**Signature:**

```typescript
ftpcrack(host: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of the target server. |

**Returns:**

void

## Remarks

RAM cost: 0.05 GB

Runs the FTPCrack.exe program on the target server. FTPCrack.exe must exist on your home computer.

## Example


```js
ns.ftpcrack("foodnstuff");
```

